/**
 * 
 */
package org.forkalsrud.album.exif;

import java.io.File;

/**
 * @author knut
 *
 */
public class Thumbnail {

	File path;
	Dimension size;
    int orientation;
    String etag;
    String duration;
    String type;


    public Thumbnail(File path, String type) {
    	this.path = path;
    	this.type = type;
    }

    /**
     * @return Returns the orientation.
     */
    public int getOrientation() {
        return orientation;
    }


    
    /**
     * @param orientation The orientation to set.
     */
    public void setOrientation(int orientation) {
        this.orientation = orientation;
    }

    /**
     * @return Returns the size.
     */
    public Dimension getSize() {
        return getOrientation() >= 5 ? size.flip() : size;
    }


    
    /**
     * @param size The size to set.
     */
    public void setSize(Dimension size) {
        this.size = size;
    }

    
    public String getEtag() {
        return etag;
    }


    
    public void setEtag(String etag) {
        this.etag = etag;
    }


    public File getPath() {
    	return path;
    }

    public String getDuration() {
        return duration;
    }
    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getType() {
        return type;
    }
}
